## nose 0.11.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck man readme

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p .build/json .build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) .build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

man:
	mkdir -p .build/man ./build/doctrees
	$(SPHINXBUILD) -b manpage $(ALLSPHINXOPTS) .build/man man.rst
	cp .build/man/man.man ../nosetests.1
	@echo
	@echo "Generated man page copied to ../nosetests.1"

readme:
	mkdir -p .build/text .build/doctrees$
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) .build/text usage.rst
	cp .build/text/usage.txt ../README.txt
	@echo
	@echo "Updated ../README.txt"

## nose 1.0

=== DESCRIPTION ===
Package: nose
Type: Package
Title: nose Package for R
Version: 1.0
Date: 2012-12-04
Author: originally written by Subbiah M <sisufive@gmail.com> packaged
        by Sumathi R with considerable contributions by Srinivasan M R
Maintainer: Sumathi R <sumathimr@yahoo.co.in>
Description: The nose package consists of a collection of three
        functions for classifying sparseness in typical 2 x 2 data sets
        with at least one cell should have zero count. These functions
        are based on the three widely applied summary measures for 2 x
        2 categorical data viz, Risk Difference (RD), Relative Risk
        (RR), Odds Ratio (OR). This package helps to identify suitable
        continuity correction for zero cells when a multi centre
        analysis or a meta analysis is carried out. Further, it can be
        considered as a tool for sensitivity analysis for adding a
        continuity correction and to identify the presence of Simpson's
        paradox.
License: GPL-2
Packaged: 2012-12-04 06:41:53 UTC; Administrator
Repository: CRAN
Date/Publication: 2012-12-19 11:39:43

## nose 1.0.5

=== DESCRIPTION ===
Package: nose
Type: Package
Title: Classification of Sparseness in 2-by-2 Categorical Data
Version: 1.0.5
Date: 2025-09-29
Authors@R: 
    person(given = "Subbiah", family = "M", 
           email = "sisufive@gmail.com", 
           role = c("aut", "cre"))
Maintainer: Subbiah M <sisufive@gmail.com>
Description: Provides functions for classifying sparseness in 2 x 2 categorical data where one or more cells have zero counts. The classification uses three widely applied summary measures: Risk Difference (RD), Relative Risk (RR), and Odds Ratio (OR). Helps in selecting suitable continuity corrections for zero cells in multi-centre or meta-analysis studies. Also supports sensitivity analysis and can detect phenomena such as Simpson's paradox. The methodology is based on Subbiah and Srinivasan (2008) <doi:10.1016/j.spl.2008.06.023>.
License: GPL-2
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2025-09-28 23:45:33 UTC; admin
Author: Subbiah M [aut, cre]
Repository: CRAN
Date/Publication: 2025-10-06 05:40:02 UTC

## nose 1.1.2

=== debian/changelog ===
nose (1.1.2-3) unstable; urgency=low

  * Team upload.
  * Rebuild with python3-defaults 3.2.3~rc1-2, to generate correct
    python3:Depends.
  * Bumped Standards Version to 3.9.3 (no changes needed).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Mar 2012 15:43:59 +0200

nose (1.1.2-2) unstable; urgency=low

  * Team upload.
  * Add versioned Breaks & Replaces in python-nose-doc, for moved doc-base
    file.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 06 Feb 2012 22:30:11 +0200

nose (1.1.2-1) unstable; urgency=low

  [ Charlie Smotherman ]
  * New Upstream release. Closes: #646394
  * Switched to source format 3.0 (quilt).
  * Package builds twice in a row now. Closes: #608678
  * Increased debhelper compat level to 7.
  * Migrated from debian/pyversions to X-P-V
  * Migrated debian/copyright to DEP5.
  * Pointed debian/watch at PyPI
  * Use dh7 tiny rules. Bumped debhelper B-D to >= 7.0.50~
  * Use dh_python2. Closes: #631406
    - Bump python B-D to python-all (>= 2.6.6-3~)
  * Use dh_sphinxdoc. Closes: #636079
  * Build python 3 package. Closes: #604038, #647920
    - B-D on python3-all, python3-setuptools.
    - Break documentation into a separate python-nose-doc package.
  * Add myself to Uploaders.
  * Install manpages from debian/rules

  [ Stefano Rivera ]
  * Team upload.
  * Remove Google Analytics js from documentation template.
  * Clean correctly after unit tests.
  * Wrap and sort long fields in debian/control.
  * Respect nocheck in DEB_BUILD_OPTIONS.
  * Ensure seteup.py doesn't use distribute_setup.
  * Rework python 3 package, not to use alternatives.
  * Fix shebangs to match script names.
  * Provide rst symlink in python-nose-doc.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Feb 2012 00:42:33 +0200

nose (1.0.0-1) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Fix watch file.

  [ Piotr Ożarowski ]
  * New upstream release (closes: #608677)
    - adds Python 2.7 (closes: #608679)
  * Remove build dir in clean target

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Apr 2011 22:13:12 +0200

nose (0.11.1-1) unstable; urgency=low

  * New upstream release
  * Documentation is now included
  * debian/control
    - build-depend on python-sphinx
    - bump build-dependency on python-dev to >= 2.5.4-1~
    - bump standards to 3.8.1, no changes necessary
    - added dependency to libjs-jquery
  * debian/rules
    - addded --install-layout=deb to DEB_PYTHON_INSTALL_ARGS
    - build the documentation using Sphinx
  * debian/doc-base
    - added doc-base file to register documentation

 -- Torsten Marek <shlomme@debian.org>  Sun, 17 May 2009 12:32:32 +0200

nose (0.10.4-2) unstable; urgency=low

  [ Stephan Peijnik ]
  * Upload to unstable
  * Added misc:Depends to fix lintian warning

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 18 Feb 2009 08:48:35 +0100

nose (0.10.4-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 06 Nov 2008 19:50:27 +0100

nose (0.10.3-1) unstable; urgency=low

  [Torsten Marek]
  * New upstream release (Closes: #461994)
  * debian/control
    - bump standards version to 3.8.0, no changes necessary
    - add suggestions for python-coverage (Closes: #457053)
    - change dependency on python-setuptools into 
      python-pkg-resources (Closes: #468719)
    - added myself to uploaders

  [Gustavo Noronha Silva]
  * debian/control:
    - remove -1 from build-dep on setuptools

 -- Torsten Marek <shlomme@debian.org>  Thu, 12 Jun 2008 13:39:43 +0200

nose (0.10.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Ondrej Certik ]
  * New upstream release
  * Standards version upgraded to 3.7.3

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 10 Feb 2008 22:27:38 -0200

nose (0.10.0-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn

  [ Gustavo Noronha Silva ]
  * New upstream release (Closes: #449072)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 17 Nov 2007 03:31:08 -0200

nose (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 27 Jun 2007 20:57:42 -0300

nose (0.9.2-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New python-support handles egg's directory name correctly
    - bump python-support required version
    - remove mv part from debian/rules
    (Closes: #423978)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 19 May 2007 17:22:13 -0300

nose (0.9.2-2) unstable; urgency=low

  * Uploading to unstable

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 15 Apr 2007 14:28:01 -0300

nose (0.9.2-1) experimental; urgency=low

  * New upstream release
  * debian/rules:
  - remove the incorrect path in which upstream is installing
    the manpage
  * debian/manpages, debian/nosetests.1:
  - have the upstream manpage be installed, instead of the one I provide
    (it is the one upstream is providing now, but updated)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 15 Feb 2007 00:30:17 -0200

nose (0.9.1-1) experimental; urgency=low

  [ Piotr Ozarowski ]
  * New upstream release
  * debian/control:
  - moved python-dev to Build-Depends: (to satisfy lintian)
  - added XS-Vcs-Svn field
  * debian/rules:
  - simplified a little bit (`pyversions -vd' instead of sed)
  * Added debian/watch file
  * Bumped debhelper compatibility from 4 to 5

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 13 Jan 2007 19:52:32 -0200

nose (0.9.0-2) unstable; urgency=low

  * debian/control:
  - added python-setuptools to Depends (Closes: #395287)
  - added XS-Python-Version
  * debian/docs:
  - added, now install README.txt documentation (addresses #395289)
  * debian/examples:
  - added; install the examples provided, as well


=== debian/control ===
Source: nose
Section: python
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Torsten Marek <shlomme@debian.org>,
 Charlie Smotherman <cjsmo@cableone.net>
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3~),
 python-setuptools (>= 0.6a9),
 python-sphinx (>= 1.0.7+dfsg),
 python3-all,
 python3-setuptools
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Standards-Version: 3.9.3
Homepage: http://somethingaboutorange.com/mrl/projects/nose/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/nose/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/nose/trunk/

Package: python-nose-doc
Architecture: all
Section: doc
Breaks: python-nose (<< 1.1.2)
Replaces: python-nose (<< 1.1.2)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for discovery and running for Python's unittest
 nose provides an alternate test discovery and running process for
 unittest, one that is intended to mimic the behavior of py.test as
 much as is reasonably possible without resorting to too much magic
 .
 This package provides the documentation for nose.

Package: python-nose
Architecture: all
Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
Suggests: python-coverage, python-nose-doc
Description: test discovery and running of Python's unittest
 nose provides an alternate test discovery and running process for
 unittest, one that is intended to mimic the behavior of py.test as
 much as is reasonably possible without resorting to too much magic

Package: python3-nose
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Suggests: python-nose-doc
Description: test discovery and running for Python3 unittest
 nose provides an alternate test discovery and running process for Python3
 unittest, one that is intended to mimic the behavior of py.test as
 much as is reasonably possible without resorting to too much magic

=== debian/rules ===
#!/usr/bin/make -f

#get our python versions
PYVERS  := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)
DESTDIR2 := $(CURDIR)/debian/python-nose
DESTDIR3 := $(CURDIR)/debian/python3-nose

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	set -ex; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done
	python setup.py build_sphinx

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# There doesn't appear to be a simple way to run the test suite under Py3k
	# yet
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py test; \
	done
endif

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/python-nose \
		                      --install-layout deb; \
	done
	sed -i -e 's,#!/usr/bin/python.*,#!/usr/bin/python,' $(DESTDIR2)/usr/bin/nosetests
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --root debian/python3-nose \
		                      --install-layout deb; \
	done
	cd $(DESTDIR3)/usr/bin/ && mv nosetests nosetests3
	sed -i -e 's,#!/usr/bin/python3.*,#!/usr/bin/python3,' $(DESTDIR3)/usr/bin/nosetests3

override_dh_installman:
	dh_installman -p python-nose nosetests.1
	dh_installman -p python3-nose nosetests.1
	cd $(DESTDIR3)/usr/share/man/man1 && mv nosetests.1 nosetests3.1

## nose 1.3.0

=== debian/changelog ===
nose (1.3.0-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitry Shachnev ]
  * Rebuild without python2.6 (closes: #675753, #707897).
  * Drop nosetests-3.x scripts. There is no easy way to provide these
    scripts for all supported Python 3 versions, and there are other
    ways to do the same thing (like running python3.x -m nose).
  * Install a manpage for nosetests-2.7.
  * Update the Homepage: field.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 19 May 2013 16:15:23 +0400

nose (1.3.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Team upload.
  * New upstream release (closes: #675554).
    - Fixes exceptions in tests generator (closes: #663465, thanks to
      Jakub Wilk for the bug report).
    - Provides __main__.py, which allows using nose as "python3 -m nose"
      (thanks to Stefano Rivera for the patch).
  * Build-depend on python-coverage (for the test suite).
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Disable some unstable tests (in multiprocessing module) to make the
    package not FTBFS.
  * Run the tests for Python 3.x during build.
  * debian/patches/manpage-formatting: dropped, the issue is properly
    fixed upstream.
  * debian/rules: disable HTTP traffic during build.
  * Refresh other patches.
  * Update debian/clean.

  [ Charlie Smotherman ]
  * Removed myself from uploaders in debian/control

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 18 Apr 2013 18:24:11 +0400

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Gustavo Noronha Silva <kov@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- Torsten Marek <shlomme@debian.org>,
- Charlie Smotherman <cjsmo@cableone.net>
+ Torsten Marek <shlomme@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  python-all (>= 2.6.6-3~),
  python-setuptools (>= 0.6a9),
  python-sphinx (>= 1.0.7+dfsg),
+ python-coverage,
  python3-all,
  python3-setuptools
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.3
-Homepage: http://somethingaboutorange.com/mrl/projects/nose/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/nose/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/nose/trunk/
+Standards-Version: 3.9.4
+Homepage: https://nose.readthedocs.org/en/latest/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/nose/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/nose/trunk/
 
 Package: python-nose-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
 
-#get our python versions
+# Get our python versions
 PYVERS  := $(shell pyversions -r)
 PY3VERS := $(shell py3versions -r)
 DESTDIR2 := $(CURDIR)/debian/python-nose
 DESTDIR3 := $(CURDIR)/debian/python3-nose
+
+# Send HTTP traffic to “discard” service
+export http_proxy = http://127.0.1.1:9/
+export https_proxy = ${http_proxy}
 
 %:
 	dh $@ --with python2,python3,sphinxdoc
@@ -18,11 +22,13 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# There doesn't appear to be a simple way to run the test suite under Py3k
-	# yet
 	set -ex; \
 	for py in $(PYVERS); do \
 		$$py setup.py test; \
+	done
+	for py in $(PY3VERS); do \
+		$$py setup.py build_tests; \
+		$$py selftest.py -v; \
 	done
 endif
 
@@ -33,16 +39,19 @@
 override_dh_auto_install:
 	set -ex; \
 	for py in $(PYVERS); do \
+		rm -rf nose.egg-info; \
 		$$py setup.py install --skip-build --root debian/python-nose \
 		                      --install-layout deb; \
 	done
 	sed -i -e 's,#!/usr/bin/python.*,#!/usr/bin/python,' $(DESTDIR2)/usr/bin/nosetests
 	set -ex; \
 	for py in $(PY3VERS); do \
+		rm -rf nose.egg-info; \
 		$$py setup.py install --skip-build --root debian/python3-nose \
 		                      --install-layout deb; \
 	done
 	cd $(DESTDIR3)/usr/bin/ && mv nosetests nosetests3
+	rm -f $(DESTDIR3)/usr/bin/nosetests-3.*
 	sed -i -e 's,#!/usr/bin/python3.*,#!/usr/bin/python3,' $(DESTDIR3)/usr/bin/nosetests3
 
 override_dh_installman:

## nose 1.3.1

=== debian/changelog ===
nose (1.3.1-2) unstable; urgency=medium

  * Backport a patch (issue780) to fix UnboundMethod regression with
    Python 3.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 28 Mar 2014 13:28:26 +0400

nose (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop d/patches/issue759, applied in the new version.
  * Add three new patches (issue782, issue783 and issue788) to fix
    various test failures (closes: #741750).
  * Disable one more unstable test.
  * Remove unit_tests/support/doctest/noname_wrapped.not_pyc in
    clean target.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 19 Mar 2014 10:31:26 -0400

nose (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/patches/issue759: Add a patch from Barry Warsaw to fix FTBFS
    with Python 3.4. 
  * d/control: Bump Standards-Version to 3.9.5, no changes needed.
  * Rebuild closes: #730749.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 12 Feb 2014 18:48:36 +0400

nose (1.3.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control (Build-Depends): Added libjs-jquery-hotkeys,
    libjs-jquery-isonscreen and libjs-jquery-tablesorter (closes: #726695).

 -- Michael Banck <mbanck@debian.org>  Sat, 23 Nov 2013 17:31:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,13 @@
 Maintainer: Gustavo Noronha Silva <kov@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- Torsten Marek <shlomme@debian.org>
+ Torsten Marek <shlomme@debian.org>,
+ Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends:
  debhelper (>= 7.0.50~),
+ libjs-jquery-hotkeys,  
+ libjs-jquery-isonscreen,
+ libjs-jquery-tablesorter,
  python-all (>= 2.6.6-3~),
  python-setuptools (>= 0.6a9),
  python-sphinx (>= 1.0.7+dfsg),
@@ -15,7 +19,7 @@
  python3-setuptools
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://nose.readthedocs.org/en/latest/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/nose/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/nose/trunk/

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 endif
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build unit_tests/support/doctest/noname_wrapped.not_pyc
 	dh_auto_clean
 
 override_dh_auto_install:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/n/nose/nose-([0-9.]+).tar.gz

## nose 1.3.4

=== debian/changelog ===
nose (1.3.4-2) unstable; urgency=medium

  * Change maintainer to the team.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:30:35 -0200

nose (1.3.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/fix_constructor: drop, applied upstream.
  * Update my email address.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Sep 2014 14:00:40 +0400

nose (1.3.3-2) unstable; urgency=low

  * Add patch to make sure we call super constructor for LazySuite. Without
    this, tests fail under Python3.4 as _removed_tests not defined. Patch
    copied from https://github.com/nose-devs/nose/pull/811 which has been
    included upstream in git. Closes: #757640.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2014 09:21:01 +1000

nose (1.3.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 26 May 2014 09:06:55 +0400

nose (1.3.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop patches applied upstream (for issues 780, 782, 783 and 788).
  * Refresh disable-unstable-tests patch.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 04 May 2014 11:12:46 +0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nose
 Section: python
 Priority: optional
-Maintainer: Gustavo Noronha Silva <kov@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Torsten Marek <shlomme@debian.org>,
- Dmitry Shachnev <mitya57@gmail.com>
+ Dmitry Shachnev <mitya57@debian.org>,
+ Brian May <bam@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  libjs-jquery-hotkeys,

## nose 1.3.6

=== debian/changelog ===
nose (1.3.6-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 09 Jun 2015 10:23:38 +0000

nose (1.3.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update debian/watch to use pypi.debian.net redirector.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add John Szakmeister’s key to debian/upstream/signing-key.asc,
    and tell uscan to verify it via debian/watch.
  * Explicitly build-depend on dh-python.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 Apr 2015 09:36:03 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Dmitry Shachnev <mitya57@debian.org>,
  Brian May <bam@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
+ dh-python,
  libjs-jquery-hotkeys,  
  libjs-jquery-isonscreen,
  libjs-jquery-tablesorter,
@@ -19,7 +20,7 @@
  python3-setuptools
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://nose.readthedocs.org/en/latest/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/nose/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/nose/trunk/

## nose 1.3.7

=== doc/Makefile ===
--- 
+++ 
@@ -76,8 +76,8 @@
 
 man:
 	mkdir -p .build/man ./build/doctrees
-	$(SPHINXBUILD) -b manpage $(ALLSPHINXOPTS) .build/man man.rst
-	cp .build/man/man.man ../nosetests.1
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) .build/man
+	cp .build/man/nosetests.1 ../
 	@echo
 	@echo "Generated man page copied to ../nosetests.1"

=== debian/changelog ===
nose (1.3.7-7) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937156

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 16:44:16 -0400

nose (1.3.7-6) unstable; urgency=medium

  * Add a patch to use class-based directives, to fix build with Sphinx 3.x
    (closes: #963660).
  * Update to debhelper compat level 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 12:04:55 +0300

nose (1.3.7-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Dmitry Shachnev ]
  * Build the documentation using the Python 3 version of sphinx
    (LP: #1859880).
  * Wrap html_sidebars value into a list to fix build with Sphinx 2.3.
  * Make the docs look better by unsetting max-width option.
  * Remove the nosetests-3.X versioned entry point.
  * Update to debhelper compat level 12.
  * Provide the documentation symlinks in /usr/share/doc/python{,3}-nose.
  * Drop libjs-jquery.{hotkeys,isonscreen,tablesorter} build-dependencies,
    they seem to be no longer needed.
  * Drop python-coverage build-dependency, to unblock its removal.
  * Instead add python3-coverage to make the related code still tested.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Feb 2020 14:25:44 +0300

nose (1.3.7-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: foreign (closes: #892938).

  [ Dmitry Shachnev ]
  * Switch to pybuild buildsystem.
  * Move all clean logic to debian/clean file.
  * Remove obsolete Breaks/Replaces for pre-oldstable versions.
  * Remove debian/python-nose.prerm, leftover from old times.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Mar 2018 21:27:59 +0300

nose (1.3.7-3) unstable; urgency=medium

  * Add a patch to fix test failures with Python 3.6 (closes: #880232).
  * Update Homepage field to use the new readthedocs.io domain.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Oct 2017 23:46:01 +0300

nose (1.3.7-2) unstable; urgency=medium

  * Add a patch to make coverage plugin compatible with python-coverage 4.1
    (closes: #828224).
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 29 Jun 2016 13:26:34 +0300

nose (1.3.7-1) unstable; urgency=medium

  [ Brian May ]
  * New upstream version.

  [ Dmitry Shachnev ]
  * Backport upstream commit that fixes tests failures with Python 3.5
    (closes: #811468).
  * Use HTTPS in Vcs-Git field and in debian/watch.
  * Override Lintian false-positive warning about missing source for
    unit_tests/support/doctest/noname_wrapped.not_pyc.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Feb 2016 10:03:09 +0300

=== debian/control ===
Source: nose
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Torsten Marek <shlomme@debian.org>,
 Dmitry Shachnev <mitya57@debian.org>,
 Brian May <bam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-coverage,
 python3-setuptools,
 python3-sphinx (>= 1.0.7+dfsg)
Standards-Version: 4.5.0
Homepage: https://nose.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/modules/nose.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/nose

Package: python-nose-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for discovery and running for Python's unittest
 nose provides an alternate test discovery and running process for
 unittest, one that is intended to mimic the behavior of py.test as
 much as is reasonably possible without resorting to too much magic
 .
 This package provides the documentation for nose.

Package: python3-nose
Architecture: all
Multi-Arch: foreign
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Suggests: python-nose-doc
Description: test discovery and running for Python3 unittest
 nose provides an alternate test discovery and running process for Python3
 unittest, one that is intended to mimic the behavior of py.test as
 much as is reasonably possible without resorting to too much magic

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR3 := $(CURDIR)/debian/python3-nose

export PYBUILD_NAME = nose
export PYBUILD_TEST_ARGS_python3 = {interpreter} setup.py build_tests && {interpreter} selftest.py -v

BUILDDIR3 := $(shell pybuild --print build_dir --interpreter python3)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(BUILDDIR3) python3 setup.py build_sphinx

override_dh_auto_test:
	dh_auto_test -- --system=custom

override_dh_auto_install:
	dh_auto_install
	cd $(DESTDIR3)/usr/bin/ && mv nosetests nosetests3
	sed -i -e 's,#!/usr/bin/python3.*,#!/usr/bin/python3,' $(DESTDIR3)/usr/bin/nosetests3

override_dh_installman:
	dh_installman -p python3-nose nosetests.1
	cd $(DESTDIR3)/usr/share/man/man1 && mv nosetests.1 nosetests3.1

override_dh_installdocs:
	dh_installdocs -ppython-nose-doc --doc-main-package=python-nose-doc
	dh_installdocs --remaining-packages

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/nose/nose-([0-9.]+).tar.gz
